<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="https://www.thymeleaf.org">

<head>
    <th:block th:include="fragments :: head"/>
    <link href="https://getbootstrap.com/docs/4.0/examples/grid/grid.css" rel="stylesheet">
</head>

<body>
<header th:include="fragments :: fixed-navbar"></header>

<div th:replace="fragments :: validation"></div>

<div class="container">
    <form action="#" th:action="@{/cost/list}" th:object="${listCostsForm}" method="post">
        <h3>List costs</h3>
        <div class="row">
            <label for="startDate" class="sr-only">Date</label>
            <input type="date" th:field="*{startDate}" id="startDate" name="startDate" class="form-control"
                   th:value="${startDate}" required
                   autofocus>
            <span style="color:red" th:each="err : ${#fields.errors('startDate')}" th:text="${err}"></span>
        </div>
        <div class="row">
            <label for="endDate" class="sr-only">Date</label>
            <input type="date" th:field="*{endDate}" id="endDate" name="endDate" class="form-control"
                   th:value="${endDate}" required
                   autofocus>
            <span style="color:red" th:each="err : ${#fields.errors('endDate')}" th:text="${err}"></span>
        </div>
        <div class="row">
            <button class="btn btn-lg btn-primary btn-block" type="submit">List costs</button>
        </div>
    </form>
</div>

<div class="container" th:if="${costs}">
    <h3>List of costs by date</h3>

    <div class="row">
        <div class="col-4">Date</div>
        <div class="col-4">Cost</div>
    </div>

    <th:block th:each="cost : ${costs}">
        <div class="row">
            <div class="col-4" th:text="${cost.date}"></div>
            <div class="col-4" th:text="${cost.sum}"></div>
        </div>
    </th:block>
</div>

<div class="container" th:if="${costs}">
    <h3>Statistics for
        <span th:text="${listCostsForm.startDate}">start</span> -
        <span th:text="${listCostsForm.endDate}">end</span>
    </h3>
    <div class="row">
        <div class="col-4">Your total sum spent:</div>
        <div class="col-4" th:text="${sum}"></div>
    </div>
    <div class="row">
        <div class="col-4">Your daily average:</div>
        <div class="col-4" th:text="${average}"></div>
    </div>
</div>

</body>
</html>